﻿using System;
using System.Diagnostics;
using GHIElectronics.TinyCLR.Devices.Adc;
using GHIElectronics.TinyCLR.Devices.Gpio;
using GHIElectronics.TinyCLR.Devices.Pwm;
using GHIElectronics.TinyCLR.Pins;
using System.Threading;
using Webge.TCLR.Displays;


namespace Incubateur
{
    class Program
    {
        enum Etat : ushort // pour Incubateur V2
        {
            chaufferOn = 0,
            chaufferOff = 1
        }

        static void Main()
        {
            // Variables
            var etat = Etat.chaufferOff; // pour Incubateur V2
            var Ntemperature = 0;
            // A compléter

            // Création des objets pour une carte FEZ T18
            // Pour une carte FEZ PANDA 3, remplacer FEZ par FEZPandaIII
            //-----------------------------------------------------------------
            // ADC -> création de l'objet ModuleMesureTemp
            var adc = AdcController.GetDefault();
            var ModuleMesureTemp = adc.OpenChannel(FEZ.AdcChannel.A0);

            // PWM -> création de l'objet Alarme
            var pwm = PwmController.FromName(FEZ.PwmChannel.Controller3.Id);
            var Alarme = pwm.OpenChannel(FEZ.PwmChannel.Controller3.D11);
            pwm.SetDesiredFrequency(2000);
            Alarme.SetActiveDutyCyclePercentage(0.5);

            // GPIO -> création de l'objet CdeChauffage
            var gpio = GpioController.GetDefault();
            var CdeChauffage = gpio.OpenPin(FEZ.GpioPin.D6);
            CdeChauffage.SetDriveMode(GpioPinDriveMode.Output);
            CdeChauffage.Write(GpioPinValue.Low);

            // Afficheur
            var lcd = new ELCD162();


            // Initialisation
            //-----------------------------------------------------------------
            lcd.Init(); lcd.CursorOff();

 
            while (true)
            {
                // Lire la température
                //-----------------------------------------------------------------
                   // A compléter

                // Traiter
                //-----------------------------------------------------------------
                   // A compléter

                // Afficher la température sur le lcd
                //-----------------------------------------------------------------
                lcd.ClearScreen();
                    // A compléter

                // Répétition de la boucle toute les 1s
                //-----------------------------------------------------------------
                Thread.Sleep(1000);
            }
        }
    }
}
